from typing import Dict, Union

data = {
    "arseniko": {
        "onomastiki": {
            "thousand": "χίλιοι",
            "million": "ένα εκατομμύριο",
            "thousands": "χιλιάδες",
            "millions": "εκατομμύρια",
            "singleOrDoubleDigit": [
                "",
                "ένας",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιένα",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερις",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταένα",
                "τριανταδύο",
                "τριαντατρείς",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταένα",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταένα",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταένα",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταένα",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταένα",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταένα",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακόσιοι",
                "τριακόσιοι",
                "τετρακόσιοι",
                "πεντακόσιοι",
                "εξακόσιοι",
                "επτακόσιοι",
                "οκτακόσιοι",
                "εννιακόσιοι",
            ],
            "fourOrFiveDigits": [
                "",
                "μία",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
        },
        "geniki": {
            "thousand": "χιλίων",
            "million": "ενός εκατομμυρίου",
            "thousands": "χιλιάδων",
            "millions": "εκατομμυρίων",
            "singleOrDoubleDigit": [
                "",
                "ενός",
                "δύο",
                "τριών",
                "τεσσάρων",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατριών",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιένα",
                "εικοσιδύο",
                "εικοσιτριών",
                "εικοσιτεσσάρων",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταένα",
                "τριανταδύο",
                "τριαντατριών",
                "τριαντατεσσάρων",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταένα",
                "σαρανταδύο",
                "σαραντατριών",
                "σαραντατεσσάρων",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταένα",
                "πενηνταδύο",
                "πενηντατριών",
                "πενηντατεσσάρων",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταένα",
                "εξηνταδύο",
                "εξηντατριών",
                "εξηντατεσσάρων",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταένα",
                "εβδομηνταδύο",
                "εβδομηντατριών",
                "εβδομηντατεσσάρων",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταένα",
                "ογδονταδύο",
                "ογδοντατριών",
                "ογδοντατεσσάρων",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταένα",
                "ενενηνταδύο",
                "ενενηντατριών",
                "ενενηντατεσσάρων",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακοσίων",
                "τριακοσίων",
                "τετρακοσίων",
                "πεντακοσίων",
                "εξακοσίων",
                "επτακοσίων",
                "οκτακοσίων",
                "εννιακοσίων",
            ],
            "fourOrFiveDigits": [
                "",
                "μίας",
                "δύο",
                "τριών",
                "τεσσάρων",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατριών",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτριών",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατριών",
                "τριαντατεσσάρων",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατριών",
                "σαραντατεσσάρων",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατριών",
                "πενηντατεσσάρων",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατριών",
                "εξηντατεσσάρων",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατριών",
                "εβδομηντατεσσάρων",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατριών",
                "ογδοντατεσσάρων",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατριών",
                "ενενηντατεσσάρων",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακοσίων",
                "τριακοσίων",
                "τετρακοσίων",
                "πεντακοσίων",
                "εξακοσίων",
                "επτακοσίων",
                "οκτακοσίων",
                "εννιακοσίων",
            ],
        },
        "aitiatiki": {
            "thousand": "χίλιους",
            "million": "ένα εκατομμύριο",
            "thousands": "χιλιάδες",
            "millions": "εκατομμύρια",
            "singleOrDoubleDigit": [
                "",
                "έναν",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιένα",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερις",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταένα",
                "τριανταδύο",
                "τριαντατρείς",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταένα",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταένα",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταένα",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταένα",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταένα",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταένα",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακόσιους",
                "τριακόσιους",
                "τετρακόσιους",
                "πεντακόσιους",
                "εξακόσιους",
                "επτακόσιους",
                "οκτακόσιους",
                "εννιακόσιους",
            ],
            "fourOrFiveDigits": [
                "",
                "μία",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρείς",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
        },
    },
    "thyliko": {
        "onomastiki": {
            "thousand": "χίλιες",
            "million": "ένα εκατομμύριο",
            "thousands": "χιλιάδες",
            "millions": "εκατομμύρια",
            "singleOrDoubleDigit": [
                "",
                "μία",
                "δύο",
                "τρείς",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρεις",
                "εικοσιτέσσερις",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρείς",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
            "fourOrFiveDigits": [
                "",
                "μία",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
        },
        "geniki": {
            "thousand": "χιλίων",
            "million": "ενός εκατομμυρίου",
            "thousands": "χιλιάδων",
            "millions": "εκατομμυρίων",
            "singleOrDoubleDigit": [
                "",
                "μίας",
                "δύο",
                "τριών",
                "τεσσάρων",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατριών",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμίας",
                "εικοσιδύο",
                "εικοσιτριών",
                "εικοσιτεσσάρων",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμίας",
                "τριανταδύο",
                "τριαντατριών",
                "τριαντατεσσάρων",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμίας",
                "σαρανταδύο",
                "σαραντατριών",
                "σαραντατεσσάρων",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμίας",
                "πενηνταδύο",
                "πενηντατριών",
                "πενηντατεσσάρων",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμίας",
                "εξηνταδύο",
                "εξηντατριών",
                "εξηντατεσσάρων",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμίας",
                "εβδομηνταδύο",
                "εβδομηντατριών",
                "εβδομηντατεσσάρων",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμίας",
                "ογδονταδύο",
                "ογδοντατριών",
                "ογδοντατεσσάρων",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμίας",
                "ενενηνταδύο",
                "ενενηντατριών",
                "ενενηντατεσσάρων",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακοσίων",
                "τριακοσίων",
                "τετρακοσίων",
                "πεντακοσίων",
                "εξακοσίων",
                "επτακοσίων",
                "οκτακοσίων",
                "εννιακοσίων",
            ],
            "fourOrFiveDigits": [
                "",
                "μίας",
                "δύο",
                "τριών",
                "τεσσάρων",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατριών",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμίας",
                "εικοσιδύο",
                "εικοσιτριών",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμίας",
                "τριανταδύο",
                "τριαντατριών",
                "τριαντατεσσάρων",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμίας",
                "σαρανταδύο",
                "σαραντατριών",
                "σαραντατεσσάρων",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμίας",
                "πενηνταδύο",
                "πενηντατριών",
                "πενηντατεσσάρων",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμίας",
                "εξηνταδύο",
                "εξηντατριών",
                "εξηντατεσσάρων",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμίας",
                "εβδομηνταδύο",
                "εβδομηντατριών",
                "εβδομηντατεσσάρων",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμίας",
                "ογδονταδύο",
                "ογδοντατριών",
                "ογδοντατεσσάρων",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμίας",
                "ενενηνταδύο",
                "ενενηντατριών",
                "ενενηντατεσσάρων",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακοσίων",
                "τριακοσίων",
                "τετρακοσίων",
                "πεντακοσίων",
                "εξακοσίων",
                "επτακοσίων",
                "οκτακοσίων",
                "εννιακοσίων",
            ],
        },
        "aitiatiki": {
            "thousand": "χίλιες",
            "million": "ένα εκατομμύριο",
            "thousands": "χιλιάδες",
            "millions": "εκατομμύρια",
            "singleOrDoubleDigit": [
                "",
                "μία",
                "δύο",
                "τρείς",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρεις",
                "εικοσιτέσσερις",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρείς",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
            "fourOrFiveDigits": [
                "",
                "μία",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
        },
    },
    "oudetero": {
        "onomastiki": {
            "thousand": "χίλια",
            "million": "ένα εκατομμύριο",
            "thousands": "χιλιάδες",
            "millions": "εκατομμύρια",
            "floatHundreds": "εκατοστά",
            "floatHundredsEuro": "λεπτά",
            "singleOrDoubleDigit": [
                "",
                "ένα",
                "δύο",
                "τρία",
                "τέσσερα",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρία",
                "δεκατέσσερα",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιένα",
                "εικοσιδύο",
                "εικοσιτρία",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταένα",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερα",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταένα",
                "σαρανταδύο",
                "σαραντατρία",
                "σαραντατέσσερα",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταένα",
                "πενηνταδύο",
                "πενηντατρία",
                "πενηντατέσσερα",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταένα",
                "εξηνταδύο",
                "εξηντατρία",
                "εξηντατέσσερα",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταένα",
                "εβδομηνταδύο",
                "εβδομηντατρία",
                "εβδομηντατέσσερα",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταένα",
                "ογδονταδύο",
                "ογδοντατρία",
                "ογδοντατέσσερα",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταένα",
                "ενενηνταδύο",
                "ενενηντατρία",
                "ενενηντατέσσερα",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακόσια",
                "τριακόσια",
                "τετρακόσια",
                "πεντακόσια",
                "εξακόσια",
                "επτακόσια",
                "οκτακόσια",
                "εννιακόσια",
            ],
            "fourOrFiveDigits": [
                "",
                "μία",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
        },
        "geniki": {
            "thousand": "χιλίων",
            "million": "ενός εκατομμυρίου",
            "thousands": "χιλιάδων",
            "millions": "εκατομμυρίων",
            "floatHundreds": "εκατοστών",
            "floatHundredsEuro": "λεπτών",
            "singleOrDoubleDigit": [
                "",
                "ενός",
                "δύο",
                "τριών",
                "τεσσάρων",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατριών",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιενός",
                "εικοσιδύο",
                "εικοσιτριών",
                "εικοσιτεσσάρων",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταενός",
                "τριανταδύο",
                "τριαντατριών",
                "τριαντατεσσάρων",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταενός",
                "σαρανταδύο",
                "σαραντατριών",
                "σαραντατεσσάρων",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταενός",
                "πενηνταδύο",
                "πενηντατριών",
                "πενηντατεσσάρων",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταενός",
                "εξηνταδύο",
                "εξηντατριών",
                "εξηντατεσσάρων",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταενός",
                "εβδομηνταδύο",
                "εβδομηντατριών",
                "εβδομηντατεσσάρων",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταενός",
                "ογδονταδύο",
                "ογδοντατριών",
                "ογδοντατεσσάρων",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταενός",
                "ενενηνταδύο",
                "ενενηντατριών",
                "ενενηντατεσσάρων",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακοσίων",
                "τριακοσίων",
                "τετρακοσίων",
                "πεντακοσίων",
                "εξακοσίων",
                "επτακοσίων",
                "οκτακοσίων",
                "εννιακοσίων",
            ],
            "fourOrFiveDigits": [
                "",
                "μίας",
                "δύο",
                "τριών",
                "τεσσάρων",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατριών",
                "δεκατεσσάρων",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμίας",
                "εικοσιδύο",
                "εικοσιτριών",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμίας",
                "τριανταδύο",
                "τριαντατριών",
                "τριαντατεσσάρων",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμίας",
                "σαρανταδύο",
                "σαραντατριών",
                "σαραντατεσσάρων",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμίας",
                "πενηνταδύο",
                "πενηντατριών",
                "πενηντατεσσάρων",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμίας",
                "εξηνταδύο",
                "εξηντατριών",
                "εξηντατεσσάρων",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμίας",
                "εβδομηνταδύο",
                "εβδομηντατριών",
                "εβδομηντατεσσάρων",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμίας",
                "ογδονταδύο",
                "ογδοντατριών",
                "ογδοντατεσσάρων",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμίας",
                "ενενηνταδύο",
                "ενενηντατριών",
                "ενενηντατεσσάρων",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακοσίων",
                "τριακοσίων",
                "τετρακοσίων",
                "πεντακοσίων",
                "εξακοσίων",
                "επτακοσίων",
                "οκτακοσίων",
                "εννιακοσίων",
            ],
        },
        "aitiatiki": {
            "thousand": "χίλια",
            "million": "ένα εκατομμύριο",
            "thousands": "χιλιάδες",
            "millions": "εκατομμύρια",
            "floatHundreds": "εκατοστά",
            "floatHundredsEuro": "λεπτά",
            "singleOrDoubleDigit": [
                "",
                "ένα",
                "δύο",
                "τρία",
                "τέσσερα",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρία",
                "δεκατέσσερα",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιένα",
                "εικοσιδύο",
                "εικοσιτρία",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταένα",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερα",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταένα",
                "σαρανταδύο",
                "σαραντατρία",
                "σαραντατέσσερα",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταένα",
                "πενηνταδύο",
                "πενηντατρία",
                "πενηντατέσσερα",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταένα",
                "εξηνταδύο",
                "εξηντατρία",
                "εξηντατέσσερα",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταένα",
                "εβδομηνταδύο",
                "εβδομηντατρία",
                "εβδομηντατέσσερα",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταένα",
                "ογδονταδύο",
                "ογδοντατρία",
                "ογδοντατέσσερα",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταένα",
                "ενενηνταδύο",
                "ενενηντατρία",
                "ενενηντατέσσερα",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "tripleDigit": [
                "",
                "εκατόν",
                "διακόσια",
                "τριακόσια",
                "τετρακόσια",
                "πεντακόσια",
                "εξακόσια",
                "επτακόσια",
                "οκτακόσια",
                "εννιακόσια",
            ],
            "fourOrFiveDigits": [
                "",
                "μία",
                "δύο",
                "τρεις",
                "τέσσερις",
                "πέντε",
                "έξι",
                "επτά",
                "οκτώ",
                "εννέα",
                "δέκα",
                "έντεκα",
                "δώδεκα",
                "δεκατρείς",
                "δεκατέσσερις",
                "δεκαπέντε",
                "δεκαέξι",
                "δεκαεπτά",
                "δεκαοκτώ",
                "δεκαεννέα",
                "είκοσι",
                "εικοσιμία",
                "εικοσιδύο",
                "εικοσιτρείς",
                "εικοσιτέσσερα",
                "εικοσιπέντε",
                "εικοσιέξι",
                "εικοσιεπτά",
                "εικοσιοκτώ",
                "εικοσιεννέα",
                "τριάντα",
                "τριανταμία",
                "τριανταδύο",
                "τριαντατρία",
                "τριαντατέσσερις",
                "τριανταπέντε",
                "τριανταέξι",
                "τριανταεπτά",
                "τριανταοκτώ",
                "τριανταεννέα",
                "σαράντα",
                "σαρανταμία",
                "σαρανταδύο",
                "σαραντατρείς",
                "σαραντατέσσερις",
                "σαρανταπέντε",
                "σαρανταέξι",
                "σαρανταεπτά",
                "σαρανταοκτώ",
                "σαρανταεννέα",
                "πενήντα",
                "πενηνταμία",
                "πενηνταδύο",
                "πενηντατρείς",
                "πενηντατέσσερις",
                "πενηνταπέντε",
                "πενηνταέξι",
                "πενηνταεπτά",
                "πενηνταοκτώ",
                "πενηνταεννέα",
                "εξήντα",
                "εξηνταμία",
                "εξηνταδύο",
                "εξηντατρείς",
                "εξηντατέσσερις",
                "εξηνταπέντε",
                "εξηνταέξι",
                "εξηνταεπτά",
                "εξηνταοκτώ",
                "εξηνταεννέα",
                "εβδομήντα",
                "εβδομηνταμία",
                "εβδομηνταδύο",
                "εβδομηντατρείς",
                "εβδομηντατέσσερις",
                "εβδομηνταπέντε",
                "εβδομηνταέξι",
                "εβδομηνταεπτά",
                "εβδομηνταοκτώ",
                "εβδομηνταεννέα",
                "ογδόντα",
                "ογδονταμία",
                "ογδονταδύο",
                "ογδοντατρείς",
                "ογδοντατέσσερις",
                "ογδονταπέντε",
                "ογδονταέξι",
                "ογδονταεπτά",
                "ογδονταοκτώ",
                "ογδονταεννέα",
                "ενενήντα",
                "ενενηνταμία",
                "ενενηνταδύο",
                "ενενηντατρείς",
                "ενενηντατέσσερις",
                "ενενηνταπέντε",
                "ενενηνταέξι",
                "ενενηνταεπτά",
                "ενενηνταοκτώ",
                "ενενηνταεννέα",
            ],
            "sixDigits": [
                "",
                "εκατόν",
                "διακόσιες",
                "τριακόσιες",
                "τετρακόσιες",
                "πεντακόσιες",
                "εξακόσιες",
                "επτακόσιες",
                "οκτακόσιες",
                "εννιακόσιες",
            ],
        },
    },
}

default_options = {
    "currency": False,
    "ignoreDecimal": False,
    "ignoreZeroCurrency": False,
    "klisi": "onomastiki",
    "genos": "oudetero",
}


def remove_plus_minus_signs(num_string: str) -> str:
    after_removal = num_string
    if "-" in num_string:
        after_removal = num_string.replace("-", "")
    if "+" in num_string:
        after_removal = num_string.replace("+", "")
    return after_removal


def olografos(
    num: Union[int, float], options: Dict[str, Union[bool, str]] = default_options
) -> str:
    if not isinstance(num, (int, float)):
        raise TypeError("Number inserted is not of type number")
    final_string = ""
    options = dict(options)
    if not options.get("currency"):
        options["currency"] = False
    if not options.get("ignoreDecimal"):
        options["ignoreDecimal"] = False
    if not options.get("ignoreZeroCurrency"):
        options["ignoreZeroCurrency"] = False
    if not options.get("klisi"):
        options["klisi"] = "onomastiki"
    if not options.get("genos"):
        options["genos"] = "oudetero"

    if options["currency"]:
        options["genos"] = "oudetero"
    num_str = remove_plus_minus_signs(
        str(int(num)) if float(num).is_integer() else str(num).split(".")[0]
    )

    digits = data[options["genos"]][options["klisi"]]

    def up_to_three_digits(num: int) -> str:
        str_to_return = ""
        num_str = remove_plus_minus_signs(
            str(int(num)) if float(num).is_integer() else str(num).split(".")[0]
        )
        if len(num_str) == 3:
            str_to_return = f"{digits['tripleDigit'][int(num_str[0])]} {digits['singleOrDoubleDigit'][int(num_str[1:3])]}"
        if len(num_str) < 3:
            str_to_return = digits["singleOrDoubleDigit"][int(num_str)]
        return str_to_return

    def up_to_six_digits(num: int) -> str:
        str_to_return = ""
        num_str = remove_plus_minus_signs(
            str(int(num)) if float(num).is_integer() else str(num).split(".")[0]
        )
        if 3 < len(num_str) < 7:
            four_digit_string = ""
            if len(num_str) == 4 and num_str[0] == "1":
                four_digit_string = digits["thousand"]
            if len(num_str) == 4 and num_str[0] != "1":
                four_digit_number = num_str[0]
                four_digit_string = f"{digits['fourOrFiveDigits'][int(four_digit_number)]} {digits['thousands']}"
            if len(num_str) == 5:
                four_digit_number = num_str[0:2]
                four_digit_string = f"{digits['fourOrFiveDigits'][int(four_digit_number)]} {digits['thousands']}"
            if len(num_str) == 6:
                six_digit_number = num_str[0]
                four_digit_number = num_str[1:3]
                four_digit_string = f"{digits['sixDigits'][int(six_digit_number)]} {digits['fourOrFiveDigits'][int(four_digit_number)]} {digits['thousands']}"
            str_to_return = four_digit_string
        return str_to_return

    def up_to_nine_digits(num: int) -> str:
        str_to_return = ""
        num_str = remove_plus_minus_signs(
            str(int(num)) if float(num).is_integer() else str(num).split(".")[0]
        )
        if 6 < len(num_str) < 10:
            four_digit_string = ""
            if len(num_str) == 7 and num_str[0] == "1":
                four_digit_string = digits["million"]
            if len(num_str) == 7 and num_str[0] != "1":
                four_digit_number = num_str[0]
                four_digit_string = f"{digits['singleOrDoubleDigit'][int(four_digit_number)]} {digits['millions']}"
            if len(num_str) == 8:
                four_digit_number = num_str[0:2]
                four_digit_string = f"{digits['singleOrDoubleDigit'][int(four_digit_number)]} {digits['millions']}"
            if len(num_str) == 9:
                six_digit_number = num_str[0]
                four_digit_number = num_str[1:3]
                four_digit_string = f"{digits['tripleDigit'][int(six_digit_number)]} {digits['singleOrDoubleDigit'][int(four_digit_number)]} {digits['millions']}"
            str_to_return = four_digit_string
        return str_to_return

    def up_to_twelve_digits(num: int) -> str:
        str_to_return = ""
        num_str = remove_plus_minus_signs(
            str(int(num)) if (float(num)).is_integer() else str(num).split(".")[0]
        )
        if 9 < len(num_str) < 13:
            four_digit_string = ""
            if len(num_str) == 10 and num_str[0] == "1":
                four_digit_string = "ένα δις"
            if len(num_str) == 10 and num_str[0] != "1":
                four_digit_number = num_str[0]
                four_digit_string = (
                    f"{digits['singleOrDoubleDigit'][int(four_digit_number)]} δις"
                )
            if len(num_str) == 11:
                four_digit_number = num_str[0:2]
                four_digit_string = (
                    f"{digits['singleOrDoubleDigit'][int(four_digit_number)]} δις"
                )
            if len(num_str) == 12:
                six_digit_number = num_str[0]
                four_digit_number = num_str[1:3]
                four_digit_string = f"{digits['tripleDigit'][int(six_digit_number)]} {digits['singleOrDoubleDigit'][int(four_digit_number)]} δις"
            str_to_return = four_digit_string
        return str_to_return

    if num_str == "0":
        final_string = "μηδέν"
    if len(num_str) <= 3 and num_str != "0":
        final_string = up_to_three_digits(int(num)).strip()
    if 3 < len(num_str) <= 6:
        final_string = f"{up_to_six_digits(int(num_str))} {up_to_three_digits(int(num_str[-3:]))}".strip()
    if 6 < len(num_str) <= 9:
        final_string = f"{up_to_nine_digits(int(num_str))} {up_to_six_digits(int(num_str[-6:]))} {up_to_three_digits(int(num_str[-3:]))}".strip()
    if 9 < len(num_str) <= 12:
        final_string = f"{up_to_twelve_digits(int(num_str))} {up_to_nine_digits(int(num_str[-9:]))} {up_to_six_digits(int(num_str[-6:]))} {up_to_three_digits(int(num_str[-3:]))}".strip()
    if options["currency"]:
        final_string = f"{final_string} ευρώ"
    if "." in str(num) and not options["currency"]:
        float_str = str(num).split(".")[1]
        if len(float_str) == 1:
            float_str = str(num).split(".")[1] + "0"
        final_string = f"{final_string} και {data['oudetero'][options['klisi']]['singleOrDoubleDigit'][int(float_str[0:2])]} {data['oudetero'][options['klisi']]['floatHundreds']}"
    if "." in str(num) and options["currency"]:
        float_str = str(num).split(".")[1]
        if len(float_str) == 1:
            float_str = str(num).split(".")[1] + "0"
        final_string = f"{final_string} και {data['oudetero'][options['klisi']]['singleOrDoubleDigit'][int(float_str)]} {data['oudetero'][options['klisi']]['floatHundredsEuro']}"
    if "-" in str(num):
        final_string = f"μείον {final_string}"
    return final_string
